Error Running CoreConfigurator 2.0

Dec 17, 2009 at 5:48 AM

Hi 

When i try running core configurator i get following message

 

C:\CoreConfig>cscript Start_Coreconfig.wsf
Microsoft (R) Windows Script Host Version 5.7
Copyright (C) Microsoft Corporation. All rights reserved.
Manufacturer : Xen
ComputerModel: HVM domU
ScriptContext: [x64 - Extended 64bit]
OSSku: 18
OSName: Microsoft® Windows Server® 2008 Standard
OSType: 18
OSDisplay: Core Edition
CSDVersion: Service Pack 2
****
Checking for NetFx-ServerCore Feature. Please wait...
NetFx-ServerCore Feature already installed
****
Checking for Powershell Feature. Please wait...
Powershell Feature already installed
C:\CoreConfig\Start_Coreconfig.wsf(321, 4) (null): The system cannot find the file specified.

 

C:\CoreConfig>cscript Start_Coreconfig.wsf

Microsoft (R) Windows Script Host Version 5.7

Copyright (C) Microsoft Corporation. All rights reserved.


Manufacturer : Xen

ComputerModel: HVM domU

ScriptContext: [x64 - Extended 64bit]

OSSku: 18

OSName: Microsoft® Windows Server® 2008 Standard

OSType: 18

OSDisplay: Core Edition

CSDVersion: Service Pack 2

****

Checking for NetFx-ServerCore Feature. Please wait...

NetFx-ServerCore Feature already installed

****

Checking for Powershell Feature. Please wait...

Powershell Feature already installed

C:\CoreConfig\Start_Coreconfig.wsf(321, 4) (null): The system cannot find the file specified.

 

 

 

Can you please help me with this one??

 

Dec 17, 2009 at 7:14 PM

You should read more carefully. This version of Core Configurator is for 2008R2 only.

Dec 17, 2009 at 9:06 PM

Thanks for your reply mate

I thought disc I was using was R2. Is there way to double check ??? or is it available for R1

 

Dec 22, 2009 at 1:54 AM
Edited Dec 22, 2009 at 1:57 AM

Read message on the homepage.

It states that v2 is only available for 2008 R2 Core. You have to use v1.1 on 2008 Core.

And this won't change because Server Core 2008 doesn't support .Net and PowerShell (configurator v2 uses it widely)

Dec 22, 2009 at 5:38 AM

Thanks

I found Visual Core Configurator 2008 v1.1 which works on R1. It can be downloaded from following link

It's simple but effective 

http://ctxadmtools.musumeci.com.ar/VisualCore2008/VisualCore11_Beta2_Refresh.html

 

Coordinator
Jan 19, 2010 at 12:15 PM

Hi munishpalmakhija

Hope the other tool helped you out and you now have a configured Server Core R1, If you checked the other download option on this page for Core Configurator 1.1 then this is designed to work with Windows Server Core R1

http://coreconfig.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=18912

Thanks alxD for helping us out by pointing the issue to munishpalmakhija

Regards

CoreConfigTeam

Jan 31, 2010 at 8:06 PM

I'm experiencing the same problem. Double checked: I'm using RC2 - German version. After looking into the script I found out, that checking for existence of PowerShell is language specific (line 270). Is there any other approach to check this?

Apr 15, 2010 at 8:06 AM

Hello,

I also got the error saying Start_Coreconfig.wsf(321, 4) (null): The system cannot find the file specified.
is was because the path on that line is hardcoded to c:\windows, if you change it to the real path where windows is installed ( or %windir% ?) it should work fine,

Dennis

 

Jul 18, 2012 at 8:58 PM
Edited Jul 18, 2012 at 9:00 PM

The problem is related to the German/Non English language version of Windows Server. The code parses the output of the commandline tool "oclist" - it is looking specifically for English strings.

I made up a hacked version in which I replaced the English strings. It's not very elegant and definitively not tested well. I only checked the role dialog (the functionality I missed most) and activated the server. The hacked version is for German. But you could just as easily make a version for your own language. Replace the variables I added to the code ($notInstalledString for example).

Download of the hacked version here:

http://oron.com/r1i7wn2d34js 

Another solution you could try is installing a MUI language pack and switching to English language output. I did not succeed in installing the pack on Server core though (did not try very hard).